import config from "@/config";
import http from "@/utils/request";

export default {
    list: {
        url: `${config.API_URL}/store/list`,
        name: "-",
        get: async function (data = {}) {
            return await http.get(this.url, data);
        },
    },
    save: {
        url: `${config.API_URL}/store/save`,
        name: "-",
        post: async function (data = {}) {
            return await http.post(this.url, data);
        },
    },
    edit: {
        url: `${config.API_URL}/store/edit`,
        name: "-",
        post: async function (data = {}) {
            return await http.post(this.url, data);
        },
    },
    batch: {
        url: `${config.API_URL}/store/batch`,
        name: "-",
        post: async function (data = {}) {
            return await http.post(this.url, data);
        },
    },
    sync: {
        url: `${config.API_URL}/store/sync`,
        name: "-",
        get: async function (data = {}) {
            return await http.get(this.url, data);
        },
    },
    qrcode: {
        url: `${config.API_URL}/store/qrcode`,
        name: "-",
        get: async function (data = {}) {
            return await http.get(this.url, data);
        },
    },
    cate: {
        url: `${config.API_URL}/store/cate`,
        name: "-",
        get: async function (data = {}) {
            return await http.get(this.url, data);
        },
        post: async function (data = {}) {
            return await http.post(this.url, data);
        },
    },
    cateDel: {
        url: `${config.API_URL}/store/cate/del`,
        name: "-",
        post: async function (data = {}) {
            return await http.post(this.url, data);
        },
    },
    del: {
        url: `${config.API_URL}/store/del`,
        name: "-",
        post: async function (data = {}) {
            return await http.post(this.url, data);
        },
    },
    express: {
        url: `${config.API_URL}/store/express`,
        name: "-",
        get: async function (data = {}) {
            return await http.get(this.url, data);
        },
    },
    expressSave: {
        url: `${config.API_URL}/store/express/save`,
        name: "-",
        post: async function (data = {}) {
            return await http.post(this.url, data);
        },
    },
}